	SUBROUTINE GET_KEY(KEY)

**-	SUBROUTINE GET_KEY(KEY)
**- wait for keypress and return the character
**- output parameters:	key<c1> - pressed key

	CHARACTER KEY        
        LOGICAL KTEST

        CALL OPEN_INKEY
        CALL WAIT_KEY
        CALL INKEY(KEY,KTEST)
	CALL CLOSE_INKEY
        RETURN
	END


	SUBROUTINE INKEY(IN_CHAR,IN_TEST)    

**-	SUBROUTINE INKEY(IN_CHAR,IN_TEST)    
**- get key from input buffer (used after open_inkey)
**- output parameters:	in_char<c1> - input character
**-			in_test<l> - walid character test

*	INTEGER*4 STATUS,GETC
	INTEGER*4 STATUS,MY_GETC
        LOGICAL IN_TEST
	CHARACTER*1 IN_CHAR
*	STATUS=GETC(IN_CHAR)
	STATUS=MY_GETC(IN_CHAR)
	IF (STATUS.EQ.0) THEN  
           IN_TEST=.TRUE.
         ELSE
           IN_TEST=.FALSE.
           IN_CHAR=' '
	ENDIF	
	RETURN
	END
                      
